All Classes Namespaces Functions Variables Pages
VerletIntegrator Class Reference

This is an Integrator which simulates a System using the leap-frog Verlet algorithm. More...

Inheritance diagram for VerletIntegrator:

## Public Member Functions

def | step
| step(VerletIntegrator self, int steps) More...
def | __init__
| init(OpenMM::VerletIntegrator self, double stepSize) -> VerletIntegrator init(OpenMM::VerletIntegrator self, VerletIntegrator other) -> VerletIntegrator More...
def | __del__
| del(OpenMM::VerletIntegrator self) More...
Public Member Functions inherited from Integrator
def | __init__
def | __del__
| del(OpenMM::Integrator self) More...
def | getStepSize
| getStepSize(Integrator self) -> double More...
def | setStepSize
| setStepSize(Integrator self, double size) More...
def | getConstraintTolerance
| getConstraintTolerance(Integrator self) -> double More...
def | setConstraintTolerance
| setConstraintTolerance(Integrator self, double tol) More...
def | step
| step(Integrator self, int steps) More...
def | __getstate__
def | __setstate__

## Public Attributes

| this
Public Attributes inherited from Integrator
| this

## Detailed Description

This is an Integrator which simulates a System using the leap-frog Verlet algorithm.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::VerletIntegrator self, double stepSize) -> VerletIntegrator init(OpenMM::VerletIntegrator self, VerletIntegrator other) -> VerletIntegrator

Create a VerletIntegrator.

Parameters

  stepSize | the step size with which to integrate the system (in picoseconds)

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::VerletIntegrator self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def step | ( |  | self,
|  |  | args
| ) |  |

step(VerletIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters

  steps | the number of time steps to take

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py